Bug 1132952 - Process and some other platform services are not listed under group creation dialog search filter
Summary: Process and some other platform services are not listed under group creation ...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: UI
Version: JON 3.2.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ER03
: JON 3.3.0
Assignee: Thomas Segismont
QA Contact: Jeeva Kandasamy
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-22 12:39 UTC by Jeeva Kandasamy
Modified: 2014-12-11 14:03 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-12-11 14:03:01 UTC


Attachments (Terms of Use)
process filter missing under platforms other than Windows (104.47 KB, image/jpeg)
2014-08-22 12:39 UTC, Jeeva Kandasamy
no flags Details
process plugin (91.16 KB, application/octet-stream)
2014-09-18 14:22 UTC, Jeeva Kandasamy
no flags Details

Description Jeeva Kandasamy 2014-08-22 12:39:21 UTC
Created attachment 929567 [details]
process filter missing under platforms other than Windows

Description of problem:
process and other platform plugins are not listed under group creation search filter

Version-Release number of selected component (if applicable):
JBoss Operations Network
Version : 3.2.0.GA Update 03
Build Number : bca1bc8:e19c43d
GWT Version : 2.5.0
SmartGWT Version : 3.0p

Browser: Firefox 31.0
OS: Fedora 20 Gnome Desktop, 64 bit

How reproducible:
always

Steps to Reproduce:
1. Create new group, Click on 'New' under 'Inventory->Groups->All Groups'
2. Enter 'Group Name' and check 'Recursive' check box and click 'Next'
3. On the 'Category' drop-down select 'Service'
4. On the 'Type' drop-down select 'Platforms Plugin->Linux'
5. There is no options, says 'No items to display'

This is applicable for FreeBSD, AIX, Linux, Solaris, Mac OS X and HP-UX platforms.

Workaround: Select 'process' under 'Windows' platform, it lists process services under Linux also.

Actual results:
There is no options, says 'No items to display'

Expected results:
Should display supported plugins to filter.

Additional info: Screen shot is attached.

Comment 1 Thomas Segismont 2014-08-29 12:58:03 UTC
The Process resource type is declared to run inside all these platforms. I assume the code creating this drop-down select chooses one the platforms to put the Process type in.

Mazz, didn't you fix something similar in the IgnoreResourceTypes view? Would the fix be applicable here?

Anyway we won't be able to fix this for ER02

Comment 2 John Mazzitelli 2014-08-29 14:01:28 UTC
I am pretty sure this is a dup - we already have this written up somewhere. I know I tried fixing this a long time ago, can't remember if it actually got fixed or not. Anyway, this is a known issue - check BZ for the original issue. Its in here somewhere.

Comment 3 Thomas Segismont 2014-09-01 15:50:23 UTC
Pull request sent:
https://github.com/rhq-project/rhq/pull/117

===
An issue with the runs-inside feature in plugin descriptors.

Now showing resource types under all their parents.

For example, the Process service will appear under Linux Platform, Windows Platform, ... etc.

On the flip side: this change might lead users to think that they are, for instance, selecting all Process services which run under a Windows Platform.
But this is not true. They are actually selecting *all* Process services, regardless of the parent platform.
===

Larry, what do you think? Should we better shows resources with more than one parent only under the plugin node in the types tree?

Comment 4 Thomas Segismont 2014-09-03 12:28:03 UTC
Fixed in master

commit 98462ee03bbc5000792c56b28752b1a09212e7c4
Author: Thomas Segismont <tsegismo@redhat.com>
Date:   Mon Sep 1 17:45:02 2014 +0200
    
    An issue with the runs-inside feature in plugin descriptors.
    
    Now showing resource types under their parent, if they only have one,
    under the plugin otherwise.

Comment 5 Jay Shaughnessy 2014-09-11 19:47:34 UTC
This looks good, I'll cherry-pick but am also adding one more thing to hopefully make this widget more usable..

release/jon3.3.x commit f877937642d309bfdab34f60a52d87fd6df1e143
Author: Thomas Segismont <tsegismo@redhat.com>
Date:   Mon Sep 1 17:45:02 2014 +0200

    An issue with the runs-inside feature in plugin descriptors.

    Now showing resource types under their parent, if they only have one
    under the plugin otherwise.

    (cherry picked from commit 98462ee03bbc5000792c56b28752b1a09212e7c4)
    Signed-off-by: Jay Shaughnessy <jshaughn@redhat.com>


master commit f41459a9ff11bec97203a3ebf0a62009b90e0280
Author: Jay Shaughnessy <jshaughn@redhat.com>
Date:   Thu Sep 11 15:41:18 2014 -0400

    complement previous work adding sorting of the type names.


release/jon3.3.x commit 7b89b7afba129f03f793ccbb7802669355abaa84
Author: Jay Shaughnessy <jshaughn@redhat.com>
Date:   Thu Sep 11 15:41:18 2014 -0400

    (cherry picked from commit f41459a9ff11bec97203a3ebf0a62009b90e0280)
    Signed-off-by: Jay Shaughnessy <jshaughn@redhat.com>

Comment 6 Simeon Pinder 2014-09-17 02:49:09 UTC
Moving to ON_QA as available for test with the following brew build:
https://brewweb.devel.redhat.com//buildinfo?buildID=385149

Comment 7 Jeeva Kandasamy 2014-09-18 14:22:23 UTC
Created attachment 938923 [details]
process plugin

Verified, process is listing under 'Platforms Plugins'. Screen shot is attached.

Version:
JBoss Operations Network
Version : 3.3.0.ER03
Build Number : 4aefe39:44e33a4
GWT Version : 2.5.0
SmartGWT Version : 3.0p


Note You need to log in before you can comment on or make changes to this bug.